Bug 26497 - "Hide all columns" throws Javascript error on aqplan.pl
Summary: "Hide all columns" throws Javascript error on aqplan.pl
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-21 03:03 UTC by David Cook
Modified: 2020-11-08 15:17 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.05, 19.11.12


Attachments
Bug 26497: "Hide all columns" throws Javascript error on aqplan.pl (3.03 KB, patch)
2020-09-21 11:08 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26497: "Hide all columns" throws Javascript error on aqplan.pl (3.08 KB, patch)
2020-09-21 13:31 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 26497: "Hide all columns" throws Javascript error on aqplan.pl (3.14 KB, patch)
2020-09-21 19:39 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description David Cook 2020-09-21 03:03:59 UTC
If you click "Hide all columns" on aqplan.pl, no columns are hidden and you get a Javascript error saying "$(...).checkCheckboxes is not a function"
Comment 1 Owen Leonard 2020-09-21 11:08:12 UTC
Created attachment 110449 [details] [review]
Bug 26497: "Hide all columns" throws Javascript error on aqplan.pl

This patch updates the JavaScript for checking and unchecking checkboxes
on the Acquisitions planning page so that it doesn't require the
checkboxes plugin.

To test, apply the patch and go to Administration -> Budgets -> Budget
details -> Planning.

On the planning page, test the "Show all columns" and "Hide all columns"
checkboxes. They should work correctly to show and hide the correct
columns.
Comment 2 PTFS Europe Sandboxes 2020-09-21 13:31:37 UTC
Created attachment 110465 [details] [review]
Bug 26497: "Hide all columns" throws Javascript error on aqplan.pl

This patch updates the JavaScript for checking and unchecking checkboxes
on the Acquisitions planning page so that it doesn't require the
checkboxes plugin.

To test, apply the patch and go to Administration -> Budgets -> Budget
details -> Planning.

On the planning page, test the "Show all columns" and "Hide all columns"
checkboxes. They should work correctly to show and hide the correct
columns.

Signed-off-by: Henry Bolshaw <bolshawh@parliament.uk>
Comment 3 Henry Bolshaw 2020-09-21 13:33:03 UTC
Tested on sandbox and the "Show all columns" and "Hide all columns" checkboxes now work correctly and the javascript error has disappeared.
Comment 4 Katrin Fischer 2020-09-21 19:39:59 UTC
Created attachment 110487 [details] [review]
Bug 26497: "Hide all columns" throws Javascript error on aqplan.pl

This patch updates the JavaScript for checking and unchecking checkboxes
on the Acquisitions planning page so that it doesn't require the
checkboxes plugin.

To test, apply the patch and go to Administration -> Budgets -> Budget
details -> Planning.

On the planning page, test the "Show all columns" and "Hide all columns"
checkboxes. They should work correctly to show and hide the correct
columns.

Signed-off-by: Henry Bolshaw <bolshawh@parliament.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2020-09-28 14:12:30 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-10-20 13:40:47 UTC
backported to 20.05.x for 20.05.05
Comment 7 Aleisha Amohia 2020-11-05 00:24:13 UTC
backported to 19.11.x for 19.11.12
Comment 8 Victor Grousset/tuxayo 2020-11-08 15:17:25 UTC
Not backported to oldoldstable (19.05.x). Feel free to ask if it's needed.